Index: /trunk/gsdl3/build.xml
===================================================================
--- /trunk/gsdl3/build.xml	(revision 12234)
+++ /trunk/gsdl3/build.xml	(revision 12235)
@@ -52,5 +52,4 @@
   <property name="src.packages.home" value="${basedir}/src/packages"/>
   <property name="packages.home" value="${basedir}/packages"/>
-  <property name="extensions.home" value="${basedir}/extensions"/>
   <!-- this may be set in build.properties, eg if you move the web dir to 
   tomcats webapps directory -->
@@ -117,9 +116,7 @@
   <property name="gs2build.home" value="${basedir}/gs2build"/>
   <property name="gli.home" value="${basedir}/gli"/>
-  <property name="vishnu.home" value="${extensions.home}/vishnu"/>
   <property name="mg.home" value="${src.packages.home}/mg"/>
   <property name="mgpp.home" value="${src.packages.home}/mgpp"/>
   <property name="javagdbm.home" value="${src.packages.home}/javagdbm"/>
-  <property name="gsdl-as.home" value="${extensions.home}/gsdl-as"/>
 
 <!--  ==================== Compilation Control Options ==================== -->
@@ -220,5 +217,5 @@
   <!-- add comments about using xxx-core, xxx-packages if only want certain parts?? -->
 
-  <target name="prepare" depends="accept-properties,init,prepare-core,prepare-packages,prepare-extensions,prepare-gs2building,prepare-tomcat,prepare-axis,prepare-web,prepare-collections"
+  <target name="prepare" depends="accept-properties,init,prepare-core,prepare-packages,prepare-gs2building,prepare-tomcat,prepare-axis,prepare-web,prepare-collections"
     description="Use this when you first checkout the code: 'ant prepare install'. This will do some additional cvs checkouts and downloads, so you need to be online to run this."/>
 
@@ -226,8 +223,8 @@
     description="Install Greenstone 3. Use this when you first checkout the code: 'ant prepare install'."/>
   
-  <target name="cvsupdate" depends="init,cvsupdate-packages,cvsupdate-extensions,cvsupdate-core,cvsupdate-gs2building,cvsupdate-web"
+  <target name="cvsupdate" depends="init,cvsupdate-packages,cvsupdate-core,cvsupdate-gs2building,cvsupdate-web"
     description="Do a cvs update for all sources. Doesn't recompile the code. You need to be online to run this."/>
 
-  <target name="configure-c++" depends="init,configure-packages,configure-core,configure-extensions,configure-gs2building"
+  <target name="configure-c++" depends="init,configure-packages,configure-core,configure-gs2building"
     description="Configure any C/C++ package code and gs2building code if necessary"/>
   
@@ -235,10 +232,10 @@
     description="Configure the installation. Includes setting up config files. Should be re-run if you change the build.properties file."/>
 
-  <target name="clean" depends="init,clean-packages,clean-extensions,clean-core,clean-gs2building"
+  <target name="clean" depends="init,clean-packages,clean-core,clean-gs2building"
     description="Remove all old compiled code. Includes core, packages and gs2building if necessary"/>
   <target name="clean-windows-c++" depends="init,clean-windows-c++-gs2building,clean-windows-c++-packages"
     description="Remove C++ compiled code for Windows. Requires Microsoft Visual Studio"/>
   
-  <target name="compile" depends="init,compile-web,compile-packages,compile-core,compile-extensions,compile-gs2building"
+  <target name="compile" depends="init,compile-web,compile-packages,compile-core,compile-gs2building"
     description="Compile all the source code, includes core, packages and gs2building if necessary. Copy jar files and executables to their correct places."/>
   
@@ -960,43 +957,4 @@
   </target>   
   
-  <!-- =============== Extensions targets ==================== -->
-  
-  <target name="prepare-extensions" depends="init"/>
-
-  <target name="cvsupdate-extensions" depends="init">
-    <cvs command="update -dP" dest="${extensions.home}"/>
-  </target>
-
-  <target name="configure-extensions"/>
-  
-  <target name="clean-extensions" depends="init">
-    <!-- vishnu : just call the ant target -->
-    <ant antfile="${vishnu.home}/build.xml" dir="${vishnu.home}"
-      inheritall="false" target="clean">
-      <property name="catalina.home" value="${catalina.home}"/>
-    </ant>
-    <!-- gsdl-as : just call the ant target-->
-    <ant antfile="${gsdl-as.home}/build.xml" dir="${gsdl-as.home}"
-      inheritall="false" target="clean">
-      <property name="catalina.home" value="${catalina.home}"/>
-    </ant>
-  </target>
-
-  <target name="compile-extensions">
-    <!-- vishnu -->
-    <echo>Compiling Vishnu</echo>
-    <ant antfile="${vishnu.home}/build.xml" dir="${vishnu.home}"
-      inheritall="false" target="compile">
-      <property name="catalina.home" value="${catalina.home}"/>
-    </ant>
-
-    <!-- gsdl-as -->
-    <echo>Compiling GSDL-AS</echo>
-    <ant antfile="${gsdl-as.home}/build.xml" dir="${gsdl-as.home}"
-      inheritall="false" target="compile">
-      <property name="catalina.home" value="${catalina.home}"/>
-    </ant>
-  </target>
-
   <!-- ================== gs2building targets ===============-->
 
@@ -1300,9 +1258,9 @@
   
   
+  <target name="prepare-for-dist-2" depends="init">
+    <antcall target="configure-c++"/>
+  </target>
+  
   <target name="prepare-for-dist-3" depends="init">
-    <antcall target="configure-c++"/>
-  </target>
-  
-  <target name="prepare-for-dist-4" depends="init">
     <antcall target="compile"/>
     <antcall target="clean-packages-c++"/>