Index: /trunk/cic-hcap/macros/extra.dm
===================================================================
--- /trunk/cic-hcap/macros/extra.dm	(revision 12446)
+++ /trunk/cic-hcap/macros/extra.dm	(revision 12447)
@@ -302,5 +302,6 @@
   <tr>
     <td valign="top" width="100%">AMERICAN COLONIAL<br />
-Refers to the culture and style of architecture created in the region of the current United States during the period when it was colonized by Europeans, primarily during the 17<sup>th</sup> and 18<sup>th</sup> centuries. The term generally refers specifically to the culture and styles of the British colonies on the East Coast of the United States, generally not including the French or Spanish colonies, which are usually called French colonial or Spanish colonial.
+Refers to the culture and style of architecture created in the region of the current United States during the period when it was colonized by Europeans, primarily during the 17<sup>th</sup> and 18<sup>th</sup> centuries. The term generally refers specifically to the culture and styles of the British colonies on the East Coast of the United States, generally not including the French or Spanish colonies, which are usually called French colonial or Spanish colonial.<br />
+<i>Example image: Dartmouth Hall, 1784-1791 (and later), Dartmouth College, Hanover, N.H. (photo courtesy of University of Maryland slide collection)</i>
     </td>
     <td valign="top">&nbsp;<img alt="Dartmouth Hall, Dartmouth College (photo courtesy of University of Maryland slide collection)" src="_httpcollection_/images/americancolonial.jpg"/></td>
@@ -309,5 +310,6 @@
   <tr>
     <td valign="top" width="100%">FEDERAL<br />
-Refers to the architecture that flourished in the new American republic from approximately 1785 to 1820. Inspired by European neo-classicism, especially as practiced in England by Robert Adam, though modified by late colonial tendencies, it also reflects the revival of Roman architectural styles, especially in the design of government buildings. Endorsed by Thomas Jefferson and Benjamin Henry Latrobe, that theme was driven partially by the metaphorical concept of the United States as analogous to the Roman Republic in its political philosophy.
+Refers to the architecture that flourished in the new American republic from approximately 1785 to 1820. Inspired by European neo-classicism, especially as practiced in England by Robert Adam, though modified by late colonial tendencies, it also reflects the revival of Roman architectural styles, especially in the design of government buildings. Endorsed by Thomas Jefferson and Benjamin Henry Latrobe, that theme was driven partially by the metaphorical concept of the United States as analogous to the Roman Republic in its political philosophy.<br />
+<i>Example image: President's House, Williams College, Williamstown, Mass. (HABS/HAER)</i>
     </td>
     <td valign="top">&nbsp;<img alt="President's House, Williams College (HABS/HAER)" src="_httpcollection_/images/federal.jpg"/></td>
@@ -316,5 +318,6 @@
   <tr>
     <td valign="top" width="100%">GREEK REVIVAL<br />
-Refers to a style of architecture in Europe and the United States begun in the 1750s in Europe, and flourishing there from the 1790s and then in this country from approximately 1815 to the 1850s, which was characterized by the use of classical Greek forms and ornament. Inspired by 18<sup>th</sup>-century archaeological discoveries, it attempted to follow closely original models. Greek revival buildings often look like temples, with a series of large stone or wood columns marking part or all of the structure, though there are many examples that emphasize Greek details rather than whole buildings. In the United States, it flourished at the time of the Greek war for independence from Turkey, and many saw the style as a manifestation of democracy.
+Refers to a style of architecture in Europe and the United States begun in the 1750s in Europe, and flourishing there from the 1790s and then in this country from approximately 1815 to the 1850s, which was characterized by the use of classical Greek forms and ornament. Inspired by 18<sup>th</sup>-century archaeological discoveries, it attempted to follow closely original models. Greek revival buildings often look like temples, with a series of large stone or wood columns marking part or all of the structure, though there are many examples that emphasize Greek details rather than whole buildings. In the United States, it flourished at the time of the Greek war for independence from Turkey, and many saw the style as a manifestation of democracy.<br />
+<i>Example image: Morrison College, 1830, Transylvania University, Lexington, Ky. (HABS/HAER)</i>
     </td>
     <td valign="top">&nbsp;<img alt="Morrison College, Transylvania University (HABS/HAER)" src="_httpcollection_/images/greekrevival.jpg"/></td>
@@ -323,5 +326,6 @@
   <tr>
     <td valign="top" width="100%">ITALIANATE<br />
-A mid- to-late-19<sup>th</sup>-century architectural style, it was inspired by Italian Renaissance buildings, both the high-style urban palazzo and the less formal country villa. Often residential and often featuring a low-pitched hipped roof topped by a belvedere, or rooftop pavilions intended as lookouts or for the enjoyment of a view, it can also refer to more formal buildings ranging from commercial to public and residential.
+A mid- to-late-19<sup>th</sup>-century architectural style, it was inspired by Italian Renaissance buildings, both the high-style urban palazzo and the less formal country villa. Often residential and often featuring a low-pitched hipped roof topped by a belvedere, or rooftop pavilions intended as lookouts or for the enjoyment of a view, it can also refer to more formal buildings ranging from commercial to public and residential.<br />
+<i>Example image: Ralston Hall, University of Notre Dame de Namur, after 1865, Belmont, Calif. (HABS/HAER)</i>
     </td>
     <td valign="top">&nbsp;<img alt="Ralston Hall, Univ. of Notre Dame de Namur" src="_httpcollection_/images/italianate.jpg"/></td>
@@ -330,5 +334,6 @@
   <tr>
     <td valign="top" width="100%">GOTHIC REVIVAL<br />
-Refers mainly to a style that flourished first in England and then spread to the European continent but even more strongly to America, beginning in the mid- to late 18th century, triumphing in the mid-19th century, and continuing into the twentieth. The style is characterized by the use of pointed arches, rosettes, pinnacles, tracery, foils, and polychrome effects inspired by Gothic architecture and at times reproduced with the general aim of historical accuracy, though often the spirit was as important as the details. Especially associated with churches, it could also be found in a wide range of building types, including by the late 19<sup>th</sup> and 20th century examples in campus architecture in what came to be called Collegiate Gothic.
+Refers mainly to a style that flourished first in England and then spread to the European continent but even more strongly to America, beginning in the mid- to late 18th century, triumphing in the mid-19th century, and continuing into the twentieth. The style is characterized by the use of pointed arches, rosettes, pinnacles, tracery, foils, and polychrome effects inspired by Gothic architecture and at times reproduced with the general aim of historical accuracy, though often the spirit was as important as the details. Especially associated with churches, it could also be found in a wide range of building types, including by the late 19<sup>th</sup> and 20th century examples in campus architecture in what came to be called Collegiate Gothic.<br />
+<i>Example image: "Old Main" Building, 1911-1912, Bethany College, Bethany, W. Va. (HABS/HAER)</i>
     </td>
     <td valign="top">&nbsp;<img alt="Old Main building, Bethany College (HABS/HAER)" src="_httpcollection_/images/gothicrevival.jpg"/></td>
@@ -337,5 +342,6 @@
   <tr>
     <td valign="top" width="100%">ROMANESQUE REVIVAL<br />
-Refers to a style in European and American architecture dating from the 1820s to the end of the 19th century that was based on 11th- and 12th-century Romanesque church architecture. It is primarily characterized by the use of semicircular arches, barrel and groin vaults, massive blocks of masonry and, at times, the spare use of Romanesque and/or naturalistic ornament. A specific variety, called Richardsonian Romanesque, was inspired by the architecture of the American H. H. Richardson, and flourished in the last three decades of the 19<sup>th</sup> century.
+Refers to a style in European and American architecture dating from the 1820s to the end of the 19th century that was based on 11th- and 12th-century Romanesque church architecture. It is primarily characterized by the use of semicircular arches, barrel and groin vaults, massive blocks of masonry and, at times, the spare use of Romanesque and/or naturalistic ornament. A specific variety, called Richardsonian Romanesque, was inspired by the architecture of the American H. H. Richardson, and flourished in the last three decades of the 19<sup>th</sup> century.<br />
+<i>Example image: Glatfelter Hall, 1888-1889, Gettysbury College, Gettysburg, Pa. (HABS/HAER)</i>
     </td>
     <td valign="top">&nbsp;<img alt="Glatfelter Hall, Gettysbury College (HABS/HAER)" src="_httpcollection_/images/romanesquerevival.jpg"/></td>
@@ -344,19 +350,22 @@
   <tr>
     <td valign="top" width="100%">VICTORIAN STYLES<br />
-Refers to a wide variety of styles exhibited during the 19<sup>th</sup> century during Queen Victorias reign in Britain (1837-1900) and during the same period in the United States. Often labeled Romantic, these styles, which ranged from Italianate and Gothic revival to vernacular and Queen Anne revival, were expressed in all building types.
-    </td>
-    <td valign="top">&nbsp;<img alt="Residential Village (Theme House), Agnes Scott College (CHS collection)" src="_httpcollection_/images/victorianstyles.jpg"/></td>
+Refers to a wide variety of styles exhibited during the 19<sup>th</sup> century during Queen Victorias reign in Britain (1837-1900) and during the same period in the United States. Often labeled Romantic, these styles, which ranged from Italianate and Gothic revival to vernacular and Queen Anne revival, were expressed in all building types.<br />
+<i>Example image: Residential Village (Theme House), 1895-1896, Agnes Scott College, Decatur, Ga. (CIC-HCAP collection)</i>
+    </td>
+    <td valign="top">&nbsp;<img alt="Residential Village (Theme House), Agnes Scott College (CIC-HCAP collection)" src="_httpcollection_/images/victorianstyles.jpg"/></td>
   </tr>
   <tr><td colspan="2">&nbsp;</td></tr>
   <tr>
     <td valign="top" width="100%">BEAUX-ARTS CLASSICISM<br />
-Refers to the revival of classicism, especially as practiced in Italy and France during the Renaissance and Baroque eras of the 15<sup>th</sup> to 18<sup>th</sup> centuries, that flourished in Europe and America in the late 19<sup>th</sup> and early 20<sup>th</sup> centuries. Inspired by the approach to architectural design espoused at the Ecole des Beaux-Arts in Paris, this style included the use of classically articulated and often symmetrical massing, a primary axial orientation in plan (often with subsidiary axes), and hierarchically arranged and related internal spaces that offered the opportunity for a directed, processional movement through a building. Its flourishing in America coincided with the emergence of the United States as a world power.
-    </td>
-    <td valign="top">&nbsp;<img alt="Cochran Hall, Allegheny College (CHS collection)" src="_httpcollection_/images/beauxartsclassicism.jpg"/></td>
+Refers to the revival of classicism, especially as practiced in Italy and France during the Renaissance and Baroque eras of the 15<sup>th</sup> to 18<sup>th</sup> centuries, that flourished in Europe and America in the late 19<sup>th</sup> and early 20<sup>th</sup> centuries. Inspired by the approach to architectural design espoused at the Ecole des Beaux-Arts in Paris, this style included the use of classically articulated and often symmetrical massing, a primary axial orientation in plan (often with subsidiary axes), and hierarchically arranged and related internal spaces that offered the opportunity for a directed, processional movement through a building. Its flourishing in America coincided with the emergence of the United States as a world power.<br />
+<i>Example image: Cochran Hall, 1907-1908, Allegheny College, Meadville, Penn. (CIC-HCAP collection)</i>
+    </td>
+    <td valign="top">&nbsp;<img alt="Cochran Hall, Allegheny College (CIC-HCAP collection)" src="_httpcollection_/images/beauxartsclassicism.jpg"/></td>
   </tr>
   <tr><td colspan="2">&nbsp;</td></tr>
   <tr>
     <td valign="top" width="100%">COLONIAL REVIVAL<br />
-Refers to a movement in architecture and interior design prevalent in the late 19th century and well into the 20th that revives the styles of the 17<sup>th</sup>, 18<sup>th</sup>, and early 19<sup>th</sup> centuries in colonial and federal America. The style, though especially seen in domestic architecture, also was found in other building types. Subsumed within this general rubric was not only a revival of 17<sup>th</sup> century clapboard buildings, but also a Georgian revival, which was inspired by English and American architecture of the 18<sup>th</sup> century. This latter tends to feature symmetrical facades, often characterized by brick, pitched roofs, windows with sashes, and fanlights. It also often includes white painted trim and decorative moldings and elements.
+Refers to a movement in architecture and interior design prevalent in the late 19th century and well into the 20th that revives the styles of the 17<sup>th</sup>, 18<sup>th</sup>, and early 19<sup>th</sup> centuries in colonial and federal America. The style, though especially seen in domestic architecture, also was found in other building types. Subsumed within this general rubric was not only a revival of 17<sup>th</sup> century clapboard buildings, but also a Georgian revival, which was inspired by English and American architecture of the 18<sup>th</sup> century. This latter tends to feature symmetrical faÃ§ades, often characterized by brick, pitched roofs, windows with sashes, and fanlights. It also often includes white painted trim and decorative moldings and elements.<br />
+<i>Example image: Washington Hall, 1824, Washington and Lee University, Lexington, Va. (HABS)</i>
     </td>
     <td valign="top">&nbsp;<img alt="Washington Hall, Washington and Lee University" src="_httpcollection_/images/colonialrevival.jpg"/></td>
@@ -365,12 +374,14 @@
   <tr>
     <td valign="top" width="100%">MISSION/MISSION REVIVAL<br />
-As a subtype of Spanish Colonial revival architectural style, this style is characterized by simplicity of form and ornamentation. Particularly between approximately 1900 and 1915 (although also later) especially in the southern, western, and southwestern regions of the United States, Mission revival architecture was utilized in all kinds of buildings.
-    </td>
-    <td valign="top">&nbsp;<img alt="Our Lady Queen of Peace Chapel, Lourdes College (CHS collection)" src="_httpcollection_/images/mission.jpg"/></td>
+As a subtype of Spanish Colonial revival architectural style, this style is characterized by simplicity of form and ornamentation. Particularly between approximately 1900 and 1915 (although also later) especially in the southern, western, and southwestern regions of the United States, Mission revival architecture was utilized in all kinds of buildings.<br />
+<i>Example image: Our Lady Queen of Peace Chapel, 1959-1961, Lourdes College, Sylvania, Ohio (CIC-HCAP collection)</i>
+    </td>
+    <td valign="top">&nbsp;<img alt="Our Lady Queen of Peace Chapel, Lourdes College (CIC-HCAP collection)" src="_httpcollection_/images/mission.jpg"/></td>
   </tr>
   <tr><td colspan="2">&nbsp;</td></tr>
   <tr>
     <td valign="top" width="100%">MODERN/PRE- AND POST-WWII<br />
-Refers to the style of architecture that emerged in Holland, France, and Germany  just before but primarily after World War I and spread throughout the world, becoming a leading architectural style until the 1960s/1970s. This style is characterized by a rejection of traditional period styling; an emphasis on volume over mass; the use of lightweight, mass-produced, industrial materials, but also reinforced concrete; frequent rejection of ornament and color; repetitive modular forms; and the use of flat surfaces, typically alternating with areas of glass. Some later examples may also be particularly sculptural in massing.
+Refers to the style of architecture that emerged in Holland, France, and Germany  just before but primarily after World War I and spread throughout the world, becoming a leading architectural style until the 1960s/1970s. This style is characterized by a rejection of traditional period styling; an emphasis on volume over mass; the use of lightweight, mass-produced, industrial materials, but also reinforced concrete; frequent rejection of ornament and color; repetitive modular forms; and the use of flat surfaces, typically alternating with areas of glass. Some later examples may also be particularly sculptural in massing.<br />
+<i>Example image: Annie Pfeiffer Chapel, des. 1940, Florida Southern College, Lakeland, Fla. (HABS/HAER)</i>
     </td>
     <td valign="top">&nbsp;<img alt="Annie Pfeiffer Chapel, Florida Southern College (HABS/HAER)" src="_httpcollection_/images/modern.jpg"/></td>
@@ -379,19 +390,22 @@
   <tr>
     <td valign="top" width="100%">POSTMODERN<br />
-Refers to architecture as early as the mid-1960s but more often from the mid-1970s to the early 1990s, in which buildings often have a renewed interest in the color and patterns of materials, and, in many cases, the use of stylistic quotations from many different periods combined to a contradictory effect of varying scale, proportions, and scenographic effect.
-    </td>
-    <td valign="top">&nbsp;<img alt="Williams College Museum of Art (rear facade), Williams College (Williams College Department of Art slide collection)" src="_httpcollection_/images/postmodern.jpg"/></td>
+Refers to architecture as early as the mid-1960s but more often from the mid-1970s to the early 1990s, in which buildings often have a renewed interest in the color and patterns of materials, and, in many cases, the use of stylistic quotations from many different periods combined to a contradictory effect of varying scale, proportions, and scenographic effect.<br />
+<i>Example image: Williams College Museum of Art (rear faÃ§ade), addition of ca. 1981, Williamstown, Mass. (Williams College, Dept. of Art, slide collection)</i>
+    </td>
+    <td valign="top">&nbsp;<img alt="Williams College Museum of Art (rear faÃ§ade), Williams College (Williams College Department of Art slide collection)" src="_httpcollection_/images/postmodern.jpg"/></td>
   </tr>
   <tr><td colspan="2">&nbsp;</td></tr>
   <tr>
     <td valign="top" width="100%">CONTEMPORARY<br />
-Although often used earlier in the twentieth century to refer to modernism, it especially refers to architecture from 1995 to the present, encompassing a wide range of architectural styles and approaches, often incorporating elements of modernism and postmodernism.
-    </td>
-    <td valign="top">&nbsp;<img alt="Admissions and Careers Services Center, Trinity College" src="_httpcollection_/images/contemporary.jpg"/></td>
+Although often used earlier in the twentieth century to refer to modernism, it especially refers to architecture from 1995 to the present, encompassing a wide range of architectural styles and approaches, often incorporating elements of modernism and postmodernism.<br />
+<i>Example image: Admissions and Careers Services Center (detail, exterior), Trinity College, Hartford, Conn. (CIC-HCAP collection)</i>
+    </td>
+    <td valign="top">&nbsp;<img alt="Admissions and Careers Services Center, Trinity College (CIC-HCAP collection)" src="_httpcollection_/images/contemporary.jpg"/></td>
   </tr>
   <tr><td colspan="2">&nbsp;</td></tr>
   <tr>
     <td valign="top" width="100%">REGIONALIST/VERNACULAR<br />
-Refers to architecture that does not fit easily into the stylistic categories given above that rely primarily on period styling. This kind of architecture instead emphasizes the building traditions and materials of a particular region. These buildings may have been constructed during any period in American architecture. Fieldstone buildings in Pennsylvania or the Midwest, adobe or stucco mission-type buildings with tile roofs in the West or Southwest, and local limestone buildings in Indiana, are a few examples of this kind of response in campus architecture.
+Refers to architecture that does not fit easily into the stylistic categories given above that rely primarily on period styling. This kind of architecture instead emphasizes the building traditions and materials of a particular region. These buildings may have been constructed during any period in American architecture. Fieldstone buildings in Pennsylvania or the Midwest, adobe or stucco mission-type buildings with tile roofs in the West or Southwest, and local limestone buildings in Indiana, are a few examples of this kind of response in campus architecture.<br />
+<i>Example image: Old Castle, 1858, Baker University, Baldwin City, Kans. (HABS/HAER)</i>
     </td>
     <td valign="top">&nbsp;<img alt="Old Castle, Baker University (HABS/HAER)" src="_httpcollection_/images/vernacularregionalist.jpg"/></td>
@@ -1647,5 +1661,5 @@
 _anylinkjavascript_ {
 /***********************************************
-* AnyLink Drop Down Menu- © Dynamic Drive (www.dynamicdrive.com)
+* AnyLink Drop Down Menu- © Dynamic Drive (www.dynamicdrive.com)
 * This notice MUST stay intact for legal use
 * Visit http://www.dynamicdrive.com/ for full source code