Index: /trunk/gli/classes/dictionary.properties
===================================================================
--- /trunk/gli/classes/dictionary.properties	(revision 12452)
+++ /trunk/gli/classes/dictionary.properties	(revision 12453)
@@ -19,5 +19,5 @@
 AboutDialog.Title_One:Greenstone Librarian Interface
 AboutDialog.Title_Two:Greenstone Digital Library, University of Waikato
-AboutDialog.Copyright:Copyright (C) 2003 New Zealand Digital Library Project
+AboutDialog.Copyright:Copyright (C) 2006 New Zealand Digital Library Project
 AboutDialog.Copyright_Two:Published under the GPL. See LICENSE.txt for details.
 #***********************
Index: /trunk/gli/classes/dictionary_ar.properties
===================================================================
--- /trunk/gli/classes/dictionary_ar.properties	(revision 12452)
+++ /trunk/gli/classes/dictionary_ar.properties	(revision 12453)
@@ -35,5 +35,5 @@
 ÙØ©, Ø¬Ø§Ù
 Ø¹Ø© ÙÙÙØ§ØªÙ
-AboutDialog.Copyright:Ø­Ù Ø§ÙÙØŽØ± (C) 2003 Ù
+AboutDialog.Copyright:Ø­Ù Ø§ÙÙØŽØ± (C) 2006 Ù
 ØŽØ±ÙØ¹ ÙÙÙØ²ÙÙÙØ¯Ø§ ÙÙÙ
 ÙØªØšØ© Ø§ÙØ±ÙÙ
Index: /trunk/gli/classes/dictionary_el.properties
===================================================================
--- /trunk/gli/classes/dictionary_el.properties	(revision 12452)
+++ /trunk/gli/classes/dictionary_el.properties	(revision 12453)
@@ -27,5 +27,5 @@
 AboutDialog.Title_One:ÎÎ¹ÎµÏÎ±ÏÎ® ÎÎ¹Î±ÏÎµÎ¯ÏÎ¹ÏÎ·Ï Greenstone  # Updated 1-Apr-2005
 AboutDialog.Title_Two:ÎÎ¹ÎµÏÎ±ÏÎ® ÎÎ¹Î±ÏÎµÎ¯ÏÎ¹ÏÎ·Ï Greenstone, Î Î±ÎœÎµÏÎ¹ÏÏÎ®ÎŒÎ¹Î¿ Waikato  # Updated 1-Apr-2005
-AboutDialog.Copyright:Copyright (C) 2003 New Zealand Digital Library Project  # Updated 1-Apr-2005
+AboutDialog.Copyright:Copyright (C) 2006 New Zealand Digital Library Project  # Updated 1-Apr-2005
 AboutDialog.Copyright_Two:ÎÎ¬ÏÏ Î±ÏÏ ÏÎ·Îœ GPL Î¬ÎŽÎµÎ¹Î±. ÎÎ»Î­ÏÎµ LICENSE.txt Î³Î¹Î± Î»ÎµÏÏÎ¿ÎŒÎ­ÏÎµÎ¹ÎµÏ.  # Updated 1-Apr-2005
 #***********************
Index: /trunk/gli/classes/dictionary_es.properties
===================================================================
--- /trunk/gli/classes/dictionary_es.properties	(revision 12452)
+++ /trunk/gli/classes/dictionary_es.properties	(revision 12453)
@@ -19,5 +19,5 @@
 AboutDialog.Title_One:Interfaz de la Biblioteca Digital Greenstone
 AboutDialog.Title_Two:Biblioteca Digital Greenstone, Universidad de Waikato
-AboutDialog.Copyright:Copyright (C) 2003 New Zealand Digital Library Project
+AboutDialog.Copyright:Copyright (C) 2006 New Zealand Digital Library Project
 AboutDialog.Copyright_Two:Publicado conforme a los tÃ©rminos y condiciones de la Licencia PÃºblica General. Para mayor informaciÃ³n vea LICENSE.txt
 #***********************
Index: /trunk/gli/classes/dictionary_lv.properties
===================================================================
--- /trunk/gli/classes/dictionary_lv.properties	(revision 12452)
+++ /trunk/gli/classes/dictionary_lv.properties	(revision 12453)
@@ -19,5 +19,5 @@
 AboutDialog.Title_One:Greenstone BibliotekÄra Interfeiss (GBI)
 AboutDialog.Title_Two:Greenstone DigitÄlÄ BibliotÄka, Waikato UniversitÄte
-AboutDialog.Copyright:Copyright (C) 2003 New Zealand Digital Library Project
+AboutDialog.Copyright:Copyright (C) 2006 New Zealand Digital Library Project
 AboutDialog.Copyright_Two:PublicÄts zem GPL. VairÄk skatÄ«t LICENSE.txt.
 #***********************
Index: /trunk/gli/classes/dictionary_zh.properties
===================================================================
--- /trunk/gli/classes/dictionary_zh.properties	(revision 12452)
+++ /trunk/gli/classes/dictionary_zh.properties	(revision 12453)
@@ -25,5 +25,5 @@
 AboutDialog.Title_One:ç»¿å®ç³ç®¡çåçé¢
 AboutDialog.Title_Two:ç»¿å®ç³æ°å­åŸä¹ŠéŠïŒ Waikatoå€§å­Š
-AboutDialog.Copyright:Copyright (C) 2003 æ°è¥¿å
+AboutDialog.Copyright:Copyright (C) 2006 æ°è¥¿å
 °æ°å­åŸä¹ŠéŠé¡¹ç®
 AboutDialog.Copyright_Two:åšGPLäžåè¡.è¯Šç»ä¿¡æ¯è¯·æ¥çlicense.txtæä»¶
Index: /trunk/gli/client-gli.bat
===================================================================
--- /trunk/gli/client-gli.bat	(revision 12452)
+++ /trunk/gli/client-gli.bat	(revision 12453)
@@ -24,10 +24,10 @@
 echo.
 if "%GLILANG%" == "en" echo Greenstone Librarian Interface (GLI)
-if "%GLILANG%" == "en" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "en" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "en" echo GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
 if "%GLILANG%" == "en" echo This is free software, and you are welcome to redistribute it
 
 if "%GLILANG%" == "es" echo Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "es" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "es" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "es" echo La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÖA.
 if "%GLILANG%" == "es" echo Para mayor informaci¢n vea los trminos de la licencia en LICENSE.txt
@@ -35,5 +35,5 @@
 
 if "%GLILANG%" == "fr" echo Interface du Bibliothcaire Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "fr" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "fr" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "fr" echo GLI est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt
 if "%GLILANG%" == "fr" echo Ceci est un logiciel libre, et vous tes invit 
@@ -41,5 +41,5 @@
 
 if "%GLILANG%" == "ru" echo š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "ru" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "ru" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "ru" echo  ­¥ € ¥â   ; €¥â «š á¬. ¢ â¥ªáâ¥ LICENSE.TXT
 if "%GLILANG%" == "ru" echo â® - á¢®¡®€­® à á¯à®áâà ­ï¥¬®¥ ¯à®£à ¬¬­®¥ ®¡¥á¯¥ç¥­š¥ š ë ¬®Š¥â¥ à á¯à®áâà ­ïâì ¥£®
Index: /trunk/gli/client-gli.sh
===================================================================
--- /trunk/gli/client-gli.sh	(revision 12452)
+++ /trunk/gli/client-gli.sh	(revision 12453)
@@ -5,5 +5,5 @@
 if [ "$glilang" = "es" ]; then
     echo "Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
     echo "Para mayor información vea los términos de la licencia en LICENSE.txt"
@@ -11,15 +11,15 @@
 elif [ "$glilang" = "fr" ]; then
     echo "Interface du Bibliothécaire Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
     echo "Ceci est un logiciel libre, et vous êtes invité à le redistribuer"
 elif [ "$glilang" = "ru" ]; then
     echo "âÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "âéç ÎÅ ÄÁÅÔ áâóïìàôîï îéëáëéè çáòáîôéê; ÄÅÔÁÌÉ ÓÍ. × ÔÅËÓÔÅ LICENSE.TXT"
     echo "üÔÏ - Ó×ÏÂÏÄÎÏ ÒÁÓÐÒÏÓÔÒÁÎÑÅÍÏÅ ÐÒÏÇÒÁÍÍÎÏÅ ÏÂÅÓÐÅÞÅÎÉÅ É ÷Ù ÍÏÖÅÔÅ ÒÁÓÐÒÏÓÔÒÁÎÑÔØ ÅÇÏ"
 else
     echo "Greenstone Librarian Interface (GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
     echo "This is free software, and you are welcome to redistribute it"
Index: /trunk/gli/gli.bat
===================================================================
--- /trunk/gli/gli.bat	(revision 12452)
+++ /trunk/gli/gli.bat	(revision 12453)
@@ -24,10 +24,10 @@
 echo.
 if "%GLILANG%" == "en" echo Greenstone Librarian Interface (GLI)
-if "%GLILANG%" == "en" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "en" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "en" echo GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
 if "%GLILANG%" == "en" echo This is free software, and you are welcome to redistribute it
 
 if "%GLILANG%" == "es" echo Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "es" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "es" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "es" echo La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÖA.
 if "%GLILANG%" == "es" echo Para mayor informaci¢n vea los trminos de la licencia en LICENSE.txt
@@ -35,5 +35,5 @@
 
 if "%GLILANG%" == "fr" echo Interface du Bibliothcaire Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "fr" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "fr" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "fr" echo GLI est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt
 if "%GLILANG%" == "fr" echo Ceci est un logiciel libre, et vous tes invit 
@@ -41,5 +41,5 @@
 
 if "%GLILANG%" == "ru" echo š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "ru" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "ru" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "ru" echo  ­¥ € ¥â   ; €¥â «š á¬. ¢ â¥ªáâ¥ LICENSE.TXT
 if "%GLILANG%" == "ru" echo â® - á¢®¡®€­® à á¯à®áâà ­ï¥¬®¥ ¯à®£à ¬¬­®¥ ®¡¥á¯¥ç¥­š¥ š ë ¬®Š¥â¥ à á¯à®áâà ­ïâì ¥£®
Index: /trunk/gli/gli.sh
===================================================================
--- /trunk/gli/gli.sh	(revision 12452)
+++ /trunk/gli/gli.sh	(revision 12453)
@@ -5,5 +5,5 @@
 if [ "$glilang" = "es" ]; then
     echo "Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
     echo "Para mayor información vea los términos de la licencia en LICENSE.txt"
@@ -11,15 +11,15 @@
 elif [ "$glilang" = "fr" ]; then
     echo "Interface du Bibliothécaire Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
     echo "Ceci est un logiciel libre, et vous êtes invité à le redistribuer"
 elif [ "$glilang" = "ru" ]; then
     echo "âÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "âéç ÎÅ ÄÁÅÔ áâóïìàôîï îéëáëéè çáòáîôéê; ÄÅÔÁÌÉ ÓÍ. × ÔÅËÓÔÅ LICENSE.TXT"
     echo "üÔÏ - Ó×ÏÂÏÄÎÏ ÒÁÓÐÒÏÓÔÒÁÎÑÅÍÏÅ ÐÒÏÇÒÁÍÍÎÏÅ ÏÂÅÓÐÅÞÅÎÉÅ É ÷Ù ÍÏÖÅÔÅ ÒÁÓÐÒÏÓÔÒÁÎÑÔØ ÅÇÏ"
 else
     echo "Greenstone Librarian Interface (GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
     echo "This is free software, and you are welcome to redistribute it"
Index: /trunk/gli/gli4gs3.bat
===================================================================
--- /trunk/gli/gli4gs3.bat	(revision 12452)
+++ /trunk/gli/gli4gs3.bat	(revision 12453)
@@ -24,10 +24,10 @@
 echo.
 if "%GLILANG%" == "en" echo Greenstone Librarian Interface (GLI)
-if "%GLILANG%" == "en" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "en" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "en" echo GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
 if "%GLILANG%" == "en" echo This is free software, and you are welcome to redistribute it
 
 if "%GLILANG%" == "es" echo Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "es" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "es" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "es" echo La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÖA.
 if "%GLILANG%" == "es" echo Para mayor informaci¢n vea los trminos de la licencia en LICENSE.txt
@@ -35,5 +35,5 @@
 
 if "%GLILANG%" == "fr" echo Interface du Bibliothcaire Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "fr" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "fr" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "fr" echo GLI est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt
 if "%GLILANG%" == "fr" echo Ceci est un logiciel libre, et vous tes invit 
@@ -41,5 +41,5 @@
 
 if "%GLILANG%" == "ru" echo š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "ru" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "ru" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "ru" echo  ­¥ € ¥â   ; €¥â «š á¬. ¢ â¥ªáâ¥ LICENSE.TXT
 if "%GLILANG%" == "ru" echo â® - á¢®¡®€­® à á¯à®áâà ­ï¥¬®¥ ¯à®£à ¬¬­®¥ ®¡¥á¯¥ç¥­š¥ š ë ¬®Š¥â¥ à á¯à®áâà ­ïâì ¥£®
Index: /trunk/gli/gli4gs3.sh
===================================================================
--- /trunk/gli/gli4gs3.sh	(revision 12452)
+++ /trunk/gli/gli4gs3.sh	(revision 12453)
@@ -5,5 +5,5 @@
 if [ "$glilang" = "es" ]; then
     echo "Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
     echo "Para mayor información vea los términos de la licencia en LICENSE.txt"
@@ -11,15 +11,15 @@
 elif [ "$glilang" = "fr" ]; then
     echo "Interface du Bibliothécaire Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
     echo "Ceci est un logiciel libre, et vous êtes invité à le redistribuer"
 elif [ "$glilang" = "ru" ]; then
     echo "âÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "âéç ÎÅ ÄÁÅÔ áâóïìàôîï îéëáëéè çáòáîôéê; ÄÅÔÁÌÉ ÓÍ. × ÔÅËÓÔÅ LICENSE.TXT"
     echo "üÔÏ - Ó×ÏÂÏÄÎÏ ÒÁÓÐÒÏÓÔÒÁÎÑÅÍÏÅ ÐÒÏÇÒÁÍÍÎÏÅ ÏÂÅÓÐÅÞÅÎÉÅ É ÷Ù ÍÏÖÅÔÅ ÒÁÓÐÒÏÓÔÒÁÎÑÔØ ÅÇÏ"
 else
     echo "Greenstone Librarian Interface (GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
     echo "This is free software, and you are welcome to redistribute it"
Index: /trunk/gli/makegli.bat
===================================================================
--- /trunk/gli/makegli.bat	(revision 12452)
+++ /trunk/gli/makegli.bat	(revision 12453)
@@ -7,10 +7,10 @@
 echo.
 if "%GLILANG%" == "en" echo Greenstone Librarian Interface (GLI)
-if "%GLILANG%" == "en" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "en" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "en" echo GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
 if "%GLILANG%" == "en" echo This is free software, and you are welcome to redistribute it
 
 if "%GLILANG%" == "es" echo Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "es" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "es" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "es" echo La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÖA.
 if "%GLILANG%" == "es" echo Para mayor informaci¢n vea los trminos de la licencia en LICENSE.txt
@@ -18,5 +18,5 @@
 
 if "%GLILANG%" == "fr" echo Interface du Bibliothcaire Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "fr" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "fr" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "fr" echo GLI est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt
 if "%GLILANG%" == "fr" echo Ceci est un logiciel libre, et vous tes invit 
@@ -24,5 +24,5 @@
 
 if "%GLILANG%" == "ru" echo š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "ru" echo Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "ru" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "ru" echo  ­¥ € ¥â   ; €¥â «š á¬. ¢ â¥ªáâ¥ LICENSE.TXT
 if "%GLILANG%" == "ru" echo â® - á¢®¡®€­® à á¯à®áâà ­ï¥¬®¥ ¯à®£à ¬¬­®¥ ®¡¥á¯¥ç¥­š¥ š ë ¬®Š¥â¥ à á¯à®áâà ­ïâì ¥£®
Index: /trunk/gli/makegli.sh
===================================================================
--- /trunk/gli/makegli.sh	(revision 12452)
+++ /trunk/gli/makegli.sh	(revision 12453)
@@ -5,5 +5,5 @@
 if [ "$glilang" = "es" ]; then
     echo "Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
     echo "Para mayor información vea los términos de la licencia en LICENSE.txt"
@@ -11,15 +11,15 @@
 elif [ "$glilang" = "fr" ]; then
     echo "Interface du Bibliothécaire Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
     echo "Ceci est un logiciel libre, et vous êtes invité à le redistribuer"
 elif [ "$glilang" = "ru" ]; then
     echo "âÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "âéç ÎÅ ÄÁÅÔ áâóïìàôîï îéëáëéè çáòáîôéê; ÄÅÔÁÌÉ ÓÍ. × ÔÅËÓÔÅ LICENSE.TXT"
     echo "üÔÏ - Ó×ÏÂÏÄÎÏ ÒÁÓÐÒÏÓÔÒÁÎÑÅÍÏÅ ÐÒÏÇÒÁÍÍÎÏÅ ÏÂÅÓÐÅÞÅÎÉÅ É ÷Ù ÍÏÖÅÔÅ ÒÁÓÐÒÏÓÔÒÁÎÑÔØ ÅÇÏ"
 else
     echo "Greenstone Librarian Interface (GLI)"
-    echo "Copyright (C) 2005, New Zealand Digital Library Project, University Of Waikato"
+    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
     echo "GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
     echo "This is free software, and you are welcome to redistribute it"