Index: /trunk/gsdl/macros/french2.dm
===================================================================
--- /trunk/gsdl/macros/french2.dm	(revision 12532)
+++ /trunk/gsdl/macros/french2.dm	(revision 12533)
@@ -33,4 +33,6 @@
 _textdescrcollector_ [l=fr] {Dans la plupart des cas, le "Librarian Interface" 
 (l'Interface BibliothÃ©caire), plus recent, devrait Ãªtre utilisÃ© en lieu et place du Collector.}  # Updated 26-May-2006
+
+# -- Missing translation: _textdescrdepositor_
 
 _textdescrtranslator_ [l=fr] {Vous aide Ã  mettre Ã  jour les versions multilingues de Greenstone}
@@ -301,6 +303,42 @@
 ######################################################################
 # collectoraction
+package wizard
+
+# -- Missing translation: _textbild_
+# -- Missing translation: _textbildsuc_
+# -- Missing translation: _textviewbildsummary_
+# -- Missing translation: _textview_
+
+# -- Missing translation: _textbild1_
+
+# -- Missing translation: _textbild2_
+
+# -- Missing translation: _textstopbuild_
+
+# -- Missing translation: _textbild3_
+
+# -- Missing translation: _textbuildcancelled_
+
+# -- Missing translation: _textbildcancel1_
+
+# -- Missing translation: _textbsupdate1_
+# -- Missing translation: _textbsupdate2_
+# -- Missing translation: _textseconds_
+
+# -- Missing translation: _textfailmsg11_
+
+# -- Missing translation: _textfailmsg21_
+# -- Missing translation: _textfailmsg31_
+# -- Missing translation: _textfailmsg41_
+# -- Missing translation: _textfailmsg71_
+
+
+# -- Missing translation: _textblcont_
+
+######################################################################
+# collectoraction
 package collector
 ######################################################################
+
 
 
@@ -319,4 +357,10 @@
 _textdel_ [l=fr] {Supprimer la collection}
 _textexpt_ [l=fr] {Exporter la collection}
+_textbildsuc_ [l=fr] {La collection a Ã©tÃ© construite avec succÃšs.}
+_textviewbildsummary_ [l=fr] {Vous pouvez <a href="_httppagex_(bsummary)&c=_cgiargbc1dirname_"
+target=_top>afficher un rÃ©sumÃ© du processus de construction</a> de cette
+collection pour obtenir plus de dÃ©tails.
+
+}
 
 _textdownloadingfiles_ [l=fr] {TÃ©lÃ©chargement de fichiers âŠ}
@@ -590,14 +634,9 @@
 }
 
+
 _textbsupdate1_ [l=fr] {Nouvel Ã©tat de la construction dans 1 seconde}
 _textbsupdate2_ [l=fr] {Nouvel Ã©tat de la construction dans}
 _textseconds_ [l=fr] {secondes}
-_textbildsuc_ [l=fr] {La collection a Ã©tÃ© construite avec succÃšs.}
-
-_textviewbildsummary_ [l=fr] {Vous pouvez <a href="_httppagex_(bsummary)&c=_cgiargbc1dirname_"
-target=_top>afficher un rÃ©sumÃ© du processus de construction</a> de cette
-collection pour obtenir plus de dÃ©tails.
-
-}
+
 
 _textfailmsg11_ [l=fr] {La collection n'a pas pu Ãªtre construite car elle ne contient aucune
@@ -608,5 +647,4 @@
 
 }
-
 _textfailmsg21_ [l=fr] {La collection n'a pas pu Ãªtre construite
 (import.pl a Ã©chouÃ©).}
@@ -625,4 +663,5 @@
 _textfailmsg71_ [l=fr] {Une erreur inattendue s'est produite lors de la
 construction de la collection}  # Updated 8-Mar-2006
+
 _textretcoll_ [l=fr] {Retour au Collector}
 
@@ -737,4 +776,51 @@
 
 }
+
+######################################################################
+# depositoraction
+package depositor
+######################################################################
+
+# -- Missing translation: _textdepositor_
+
+# -- Missing translation: _textdepositorblurb_
+
+# -- Missing translation: _textbsupdate1_
+# -- Missing translation: _textbsupdate2_
+# -- Missing translation: _textseconds_
+
+# -- Missing translation: _textcaec_
+# -- Missing translation: _textbild_
+# -- Missing translation: _textintro_
+# -- Missing translation: _textbildsuc_
+# -- Missing translation: _textviewbildsummary_
+# -- Missing translation: _textselect_
+# -- Missing translation: _textmeta_
+# -- Missing translation: _textview_
+# -- Missing translation: _textbild1_
+
+# -- Missing translation: _textbild2_
+
+# -- Missing translation: _textstopbuild_
+
+# -- Missing translation: _textbild3_
+
+# -- Missing translation: _textbuildcancelled_
+
+# -- Missing translation: _textbildcancel1_
+
+# -- Missing translation: _textfailmsg11_
+# -- Missing translation: _textfailmsg21_
+# -- Missing translation: _textblcont_
+
+# -- Missing translation: _texttryagain_
+
+# -- Missing translation: _textfailmsg31_
+# -- Missing translation: _textfailmsg41_
+# -- Missing translation: _textfailmsg71_
+
+# -- Missing translation: _textretcoll_
+
+# -- Missing translation: _texttmpfail_
 
 
@@ -1135,5 +1221,5 @@
 _textgtierror_ [l=fr] {Une erreur c'est produite}  # Updated 8-Mar-2006
 
-_textgtihome_ [l=fr] {Ces pages vous aident Ã  amÃ©liorer l'interface en langues Ã©trangÃšres de Greenstone. En les utilisant, vous pouvez,
+_textgtihome_ [l=fr] {Ces pages vous aident Ã  amÃ©liorer l'interface multilingue de Greenstone. En les utilisant, vous pouvez,
 <ul>
    <li>traduire des parties de Greenstone en une nouvelle langue
@@ -1148,5 +1234,5 @@
 Si vous Ãªtes en train de mettre Ã  jour une traduction existante, on ne vous prÃ©sentera pas les phrases dÃ©jÃ  traduites. Quelques fois une traduction existe dÃ©jÃ  mais le texte en anglais a changÃ© entre-temps. Dans ce cas, la traduction actuelle vous sera prÃ©sentÃ©e et vous devrez la contrÃŽler et la corriger si nÃ©cessaire.
 <p>
-Chaque page termine avec un bouton "_textgtsubmit_". Quand vous cliquez dessus, les modifications sont enregistrÃ©es immÃ©diatement dans l'implantation spÃ©cifique de Greenstone Ã  nzdl.org. Un bouton est prÃ©sentÃ© sur chaque page pour accÃ©der Ã  ce site.}  # Updated 23-May-2006
+Chaque page termine avec un bouton "_textgtsubmit_". Quand vous cliquez dessus, les modifications sont enregistrÃ©es immÃ©diatement dans l'implantation spÃ©cifique de Greenstone Ã  nzdl.org. Un bouton est prÃ©sentÃ© sur chaque page pour accÃ©der Ã  ce site.}  # Updated 31-Jul-2006
 
 _textgtiselecttlc_ [l=fr] {Selectionner votre langue}  # Updated 8-Mar-2006