Index: trunk/gsdl/macros/armenian2.dm
===================================================================
--- trunk/gsdl/macros/armenian2.dm	(revision 12541)
+++ trunk/gsdl/macros/armenian2.dm	(revision 12541)
@@ -0,0 +1,739 @@
+# this file must be UTF-8 encoded
+######################################################################
+#
+# English Language text and icon macros 
+# -- this file contains text that is of less importance
+######################################################################
+
+
+######################################################################
+# 'home' page
+package home
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _documents_
+_lastupdate_ [l=hy] {ÕÕ¥ÖÕ»Õ«Õ¶ Õ©Õ¡ÖÕŽÕ¡ÖÕžÖÕŽ}  # Updated 18-Aug-2006
+# -- Missing translation: _ago_
+# -- Missing translation: _colnotbuilt_
+
+# -- Missing translation: _textpagetitle_
+# -- Missing translation: _textadmin_
+# -- Missing translation: _textabgs_
+# -- Missing translation: _textgsdocs_
+
+# -- Missing translation: _textdescrgli_
+
+# -- Missing translation: _textdescrcollector_
+
+# -- Missing translation: _textdescrdepositor_
+
+# -- Missing translation: _textdescrtranslator_
+
+# -- Missing translation: _textdescradmin_
+
+# -- Missing translation: _textdescrgogreenstone_
+
+# -- Missing translation: _textdescrgodocs_
+
+# -- Missing translation: _textpoem_
+
+# -- Missing translation: _textgreenstone_
+
+# -- Missing translation: _textaboutgreenstone_
+
+
+# -- Missing translation: _textdescrselcol_
+
+
+######################################################################
+# home help page
+package homehelp
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _text4buts_
+
+# -- Missing translation: _textnocollections_
+
+# -- Missing translation: _text1coll_
+
+# -- Missing translation: _textmorecolls_
+
+######################################################################
+# external link package
+package extlink
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textextlink_
+# -- Missing translation: _textlinknotfound_
+
+# -- Missing translation: _textextlinkcontent_
+
+# -- Missing translation: _textlinknotfoundcontent_
+
+# should have arguments of collection, collectionname and link
+# -- Missing translation: _foundintcontent_
+
+
+######################################################################
+# authentication page
+package authen
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textGSDLtitle_
+
+# -- Missing translation: _textusername_
+# -- Missing translation: _textpassword_
+
+# -- Missing translation: _textmustbelongtogroup_
+
+# -- Missing translation: _textmessageinvalid_
+
+# -- Missing translation: _textmessagefailed_
+
+# -- Missing translation: _textmessagedisabled_
+
+# -- Missing translation: _textmessagepermissiondenied_
+
+# -- Missing translation: _textmessagestalekey_
+
+
+######################################################################
+# 'docs' page 
+package docs
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textnodocumentation_
+
+# -- Missing translation: _textuserguide_
+# -- Missing translation: _textinstallerguide_
+# -- Missing translation: _textdeveloperguide_
+# -- Missing translation: _textpaperguide_
+# -- Missing translation: _textorganizerguide_
+
+# -- Missing translation: _textgsdocstitle_
+
+######################################################################
+# collectoraction
+package wizard
+
+# -- Missing translation: _textbild_
+# -- Missing translation: _textbildsuc_
+# -- Missing translation: _textviewbildsummary_
+# -- Missing translation: _textview_
+
+# -- Missing translation: _textbild1_
+
+# -- Missing translation: _textbild2_
+
+_textstopbuild_ [l=hy] {Õ¯Õ¡Õ¶Õ£Õ¶Õ¥ÖÕ¶Õ¥Õ¬ Õ¯Õ¡ÕŒÕžÖÖÕžÖÕŽÕš}  # Updated 18-Aug-2006
+
+# -- Missing translation: _textbild3_
+
+# -- Missing translation: _textbuildcancelled_
+
+# -- Missing translation: _textbildcancel1_
+
+# -- Missing translation: _textbsupdate1_
+# -- Missing translation: _textbsupdate2_
+# -- Missing translation: _textseconds_
+
+# -- Missing translation: _textfailmsg11_
+
+_textfailmsg21_ [l=hy] {ÕÕ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖÕ¶ Õ°Õ¿Õ¡ÖÕ¡ÕŸÕžÖ Õ¹Õ§ Õ¯Õ¡ÕŒÕžÖÖÕ¥Õ¬ (import.pl Õ¹Õ¯Õ¡ÕµÕ¡ÖÕ¡ÕŸ)Ö}  # Updated 18-Aug-2006
+# -- Missing translation: _textfailmsg31_
+# -- Missing translation: _textfailmsg41_
+# -- Missing translation: _textfailmsg71_
+
+
+# -- Missing translation: _textblcont_
+
+######################################################################
+# collectoraction
+package collector
+######################################################################
+
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textdefaultstructure_
+# -- Missing translation: _textmore_
+_textcollector_ [l=hy] {ÕÕ¡ÕŸÕ¡ÖÕ«Õ¹}  # Updated 18-Aug-2006
+_textinfo_ [l=hy] {ÕÕ¡ÕŸÕ¡ÖÕ«Õ¹Õ« Õ¿Õ¥Õ²Õ¥Õ¯Õ¡Õ¿ÕŸÕžÖÕ©ÕµÕžÖÕ¶}  # Updated 18-Aug-2006
+# -- Missing translation: _textsrce_
+# -- Missing translation: _textconf_
+# -- Missing translation: _textbild_
+# -- Missing translation: _textview_
+# -- Missing translation: _textdel_
+# -- Missing translation: _textexpt_
+# -- Missing translation: _textbildsuc_
+# -- Missing translation: _textviewbildsummary_
+
+# -- Missing translation: _textdownloadingfiles_
+# -- Missing translation: _textimportingcollection_
+# -- Missing translation: _textbuildingcollection_
+# -- Missing translation: _textcreatingcollection_
+
+# -- Missing translation: _textcollectorblurb_
+
+# -- Missing translation: _textcb1_
+
+# -- Missing translation: _textcb2_
+# -- Missing translation: _textcnc_
+# -- Missing translation: _textwec_
+
+# -- Missing translation: _textcb3_
+
+# -- Missing translation: _textcb4_
+
+# -- Missing translation: _textfsc_
+
+# -- Missing translation: _textwtc_
+# -- Missing translation: _textamd_
+# -- Missing translation: _textetc_
+# -- Missing translation: _textdtc_
+# -- Missing translation: _textetcfcd_
+# -- Missing translation: _textcaec_
+# -- Missing translation: _textnwec_
+# -- Missing translation: _textcianc_
+# -- Missing translation: _texttsosn_
+# -- Missing translation: _textsin_
+# -- Missing translation: _textswts_
+# -- Missing translation: _textatco_
+# -- Missing translation: _textbtc_
+# -- Missing translation: _textpvyh_
+
+# -- Missing translation: _texttfsiw_
+
+# -- Missing translation: _textadab_
+
+# -- Missing translation: _textwyar_
+
+# -- Missing translation: _textcnmbs_
+# -- Missing translation: _texteambs_
+# -- Missing translation: _textpsea_
+# -- Missing translation: _textdocmbs_
+
+# -- Missing translation: _textwcanc_
+
+# -- Missing translation: _texttfc_
+
+# -- Missing translation: _texttctiasp_
+
+# -- Missing translation: _textcea_
+
+# -- Missing translation: _textteas_
+
+# -- Missing translation: _textatc_
+
+# -- Missing translation: _texttiasd_
+
+_textypits_ [l=hy] {Ô±ÕµÕœ Õ·Õ¡ÖÖÕžÖÕŽ ÕÕ¥Ö Õ€Õ«ÖÖÕš ÖÕžÖÕµÖ Õ§ Õ¿ÖÕŸÕ¡Õ® Õ¶Õ¥ÖÖÖÕžÖÕŽ Õ¡ÕŒÕ¯Õ¡ ÕœÕ¬Õ¡ÖÕžÕŸÕ Õ¿ÕŸÕµÕ¡Õ¬ Õ€Õ¥ÕºÖÕžÖÕŽ "Õ¿Õ¥Õ²Õ¥Õ¯Õ¡Õ¿ÕŸÕžÖÕ©ÕµÕžÖÕ¶ Õ°Õ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖÕ« ÕŽÕ¡ÕœÕ«Õ¶" ÖÕžÖÕ¬ÕžÖÕŽÖÕÕ¡ÖÕžÖÕ¶Õ¡Õ¯Õ¥Õ¬ÕžÖ Õ°Õ¡ÕŽÕ¡Ö ÕœÕ¥Õ²ÕŽÕ¥Ö
+"Õ¶Õ¡Õ­Õ¶Õ¡Õ¯Õ¡Õ¶ Õ¿ÕŸÕµÕ¡Õ¬Õ¶Õ¥Ö" Õ¯Õ¡Õ¶Õ¡Õ¹ Õ¯ÕžÕ³Õ¡Õ¯ÕšÖ
+}  # Updated 18-Aug-2006
+
+_srcebadsources_ [l=hy] {<p>ÕÕ¥Ö Õ¯ÕžÕ²ÕŽÕ«Ö ÕœÕ¡Õ°ÕŽÕ¡Õ¶ÕŸÕ¡Õ® ÕŽÕ¥Õ¯ Õ¯Õ¡ÕŽ ÕŽÕ« ÖÕ¡Õ¶Õ« ÕŽÕžÖÕ¿ÖÕ« Õ¡Õ²Õ¢ÕµÕžÖÖÕ¶Õ¥ÖÕš ÕŽÕ¡Õ¿Õ¹Õ¥Õ¬Õ« Õ¹Õ¥Õ¶ (Õ¶Õ·ÕŸÕ¡Õ®
+_iconcross_ below).
+
+<p>ÕÕ¡Õ¿Õ³Õ¡ÕŒÕš Õ¯Õ¡ÖÕžÕ² Õ§ Õ¬Õ«Õ¶Õ¥Õ¬
+<ul>
+<li>ÕÕ¡ÕµÕ¬Õš, FTP Õ¯Õ¡ÕµÖÕš Õ¯Õ¡ÕŽ URL Õ£ÕžÕµÕžÖÕ©ÕµÕžÖÕ¶ Õ¹ÕžÖÕ¶Õ«Ö
+<li>ÕÕ¯ÕŠÕ¢Õ«Ö ÕºÕ¥Õ¿Ö Õ§ Õ¯Õ¡Õº Õ°Õ¡ÕœÕ¿Õ¡Õ¿Õ¥Õ¬ Ô»Õ¶Õ¿Õ¥ÖÕ¶Õ¥Õ¿ Õ®Õ¡ÕŒÕ¡ÕµÕžÖÕ©ÕµÕ¡Õ¶ ÕŽÕ¡Õ¿Õ¡Õ¯Õ¡ÖÕ¡ÖÕ« Õ°Õ¥Õ¿Ö
+<li>ÕÕžÖÕ±ÕžÖÕŽ Õ¥Õœ ÕŽÕ«Õ¡Õ¶Õ¡Õ¬ Õ¯Õ¡ÕµÖÕ« ÕºÕ¡Õ·Õ¿ÕºÕ¡Õ¶Õ«Õ¹ ÕºÕ¡Õ¿Õ« Õ°Õ¥Õ¿ÖÕ«Ö (ÕœÕ¡ Õ¡ÕµÕ¶ Õ€Õ¥ÕºÖÕ¶ Õ§ Õ¥ÖÕ¢ Õ€ÕžÖ ÕºÕ¥Õ¿Ö Õ§ ÕŽÕžÖÕ¿Ö Õ¡Õ¶Õ¥Õœ Õ£ÖÕ¡Õ¶ÖÕŽÕ¡Õ¶ Õ¡Õ¶ÕžÖÕ¶ Ö Õ£Õ¡Õ²Õ¿Õ¶Õ¡Õ¢Õ¡ÕŒ)Ö
+</ul>
+
+<p>Õ¥Õ©Õ¥ ÕœÕ¡ Õ°Õ¥Õ¶Ö Õ¡ÕµÕ¶ URL Õ§, ÕžÖÕš Õ¿Õ¥ÕœÕ¶ÕžÖÕŽ Õ¥Õœ Õ€Õ«Õ¿Õ¡Õ¯ÕžÖÕŽ, Õ°Õ¡ÕŸÕ¡Õ¶Õ¡Õ¯Õ¡Õ¶ Õ§ Õ¡ÕµÕ¶ Õ£Õ¡Õ¬Õ«Õœ Õ§ Õ¿Õ¥Õ²Õ¡ÕµÕ«Õ¶ ÕºÕ¡Õ°ÕŸÕ¡Õ® Õ°Õ«Õ·ÕžÕ²ÕžÖÕ©ÕµÕ¡Õ¶ ÕºÕ¡Õ¿Õ³Õ¥Õ«ÖÖÔŽÕªÕ¢Õ¡Õ­Õ¿Õ¡Õ¢Õ¡Ö, Õ¿Õ¥Õ²Õ¡ÕµÕ«Õ¶ ÕºÕ¡Õ°ÕŸÕ¡Õ® Õ°Õ«Õ·ÕžÕ²ÕžÖÕ©ÕµÕ¡Õ¶ ÕºÕ¡Õ¿Õ³Õ¥Õ¶ Õ¿Õ¥ÕœÕ¡Õ¶Õ¥Õ¬Õ« Õ¹Õ§ Õ°Õ¡ÕµÕ¥Õ¬Õ¡ÕµÕ«Õ¶ Õ£ÕžÖÕ®ÕšÕ¶Õ©Õ¡ÖÕ« Õ°Õ¡ÕŽÕ¡ÖÖÔ±ÕµÕœ Õ€Õ¥ÕºÖÕžÖÕŽ Õ­ÕžÖÕ°ÕžÖÖÕ€ Õ¥Õ¶Ö Õ¿Õ¡Õ¬Õ«Õœ Õ¢Õ¥ÕŒÕ¶Õ¡Õ©Õ¡ÖÕ¥Õ¬ Õ§Õ»Õ¥ÖÕš ÕœÕ¯ÕŠÕ¢Õ¶Õ¡ÕºÕ¥Õœ Ö
+Õ£Õ¿Õ¡Õ£ÕžÖÕ®Õ¥Õ¬ÕžÕŸ Õ€Õ«Õ¿Õ¡Õ¯ÕšÖ}  # Updated 18-Aug-2006
+
+# -- Missing translation: _textymbyco_
+
+# -- Missing translation: _textbtco_
+# -- Missing translation: _textand_
+_textad_ [l=hy] {ÕÕŸÕµÕ¡Õ¬Õ¶Õ¥ÖÕ« Õ¡ÕŸÕ¥Õ¬Õ¡ÖÕžÖÕŽÖ}  # Updated 18-Aug-2006
+
+# -- Missing translation: _texttftysb_
+
+# -- Missing translation: _textis_
+
+# -- Missing translation: _textddd1_
+
+# -- Missing translation: _textddd2_
+
+# -- Missing translation: _textconf1_
+
+# -- Missing translation: _textreset_
+
+# -- Missing translation: _textbild1_
+
+# -- Missing translation: _textbild2_
+
+# -- Missing translation: _textstopbuild_
+
+# -- Missing translation: _textbild3_
+
+# -- Missing translation: _textbuildcancelled_
+
+# -- Missing translation: _textbildcancel1_
+
+
+# -- Missing translation: _textbsupdate1_
+_textbsupdate2_ [l=hy] {_wizard:textbsupdate2_}  # Updated 18-Aug-2006
+# -- Missing translation: _textseconds_
+
+
+# -- Missing translation: _textfailmsg11_
+# -- Missing translation: _textfailmsg21_
+# -- Missing translation: _textblcont_
+
+_texttryagain_ [l=hy] {ÔœÕ¶Õ€ÖÕŸÕžÖÕŽ Õ§ <a href="_httppagecollector_" target=_top>ÕŸÕ¥ÖÕ¡Õ¢Õ¥ÕŒÕ¶Õ¡ÕŸÕžÖÕ¥Õ¬ Õ°Õ¡ÕŸÕ¡ÖÕ«Õ¹Õš</a>
+Ö ÖÕžÖÕ±Õ¥Õ¬ Õ¶ÕžÖÕ«ÖÖ
+}  # Updated 18-Aug-2006
+
+# -- Missing translation: _textfailmsg31_
+# -- Missing translation: _textfailmsg41_
+# -- Missing translation: _textfailmsg71_
+
+# -- Missing translation: _textretcoll_
+
+# -- Missing translation: _textdelperm_
+
+# -- Missing translation: _textdelinv_
+
+# -- Missing translation: _textdelsuc_
+
+# -- Missing translation: _textclonefail_
+
+# -- Missing translation: _textcolerr_
+
+# -- Missing translation: _texttmpfail_
+
+# -- Missing translation: _textmkcolfail_
+
+# -- Missing translation: _textnocontent_
+
+# -- Missing translation: _textrestart_
+
+# -- Missing translation: _textreloaderror_
+
+# -- Missing translation: _textexptsuc_
+
+# -- Missing translation: _textexptfail_
+
+######################################################################
+# depositoraction
+package depositor
+######################################################################
+
+# -- Missing translation: _textdepositor_
+
+# -- Missing translation: _textdepositorblurb_
+
+# -- Missing translation: _textbsupdate1_
+# -- Missing translation: _textbsupdate2_
+# -- Missing translation: _textseconds_
+
+# -- Missing translation: _textcaec_
+# -- Missing translation: _textbild_
+# -- Missing translation: _textintro_
+# -- Missing translation: _textbildsuc_
+# -- Missing translation: _textviewbildsummary_
+# -- Missing translation: _textselect_
+# -- Missing translation: _textmeta_
+# -- Missing translation: _textview_
+# -- Missing translation: _textbild1_
+
+# -- Missing translation: _textbild2_
+
+# -- Missing translation: _textstopbuild_
+
+# -- Missing translation: _textbild3_
+
+_textbuildcancelled_ [l=hy] {_wizard:textbuildcancelled_}  # Updated 18-Aug-2006
+
+# -- Missing translation: _textbildcancel1_
+
+# -- Missing translation: _textfailmsg11_
+# -- Missing translation: _textfailmsg21_
+# -- Missing translation: _textblcont_
+
+# -- Missing translation: _texttryagain_
+
+# -- Missing translation: _textfailmsg31_
+_textfailmsg41_ [l=hy] {_wizard:textfailmsg41_}  # Updated 18-Aug-2006
+# -- Missing translation: _textfailmsg71_
+
+# -- Missing translation: _textretcoll_
+
+# -- Missing translation: _texttmpfail_
+
+
+######################################################################
+# 'gsdl' page
+package gsdl
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+
+# -- Missing translation: _textgreenstone1_
+
+# -- Missing translation: _textgreenstone2_
+
+_textplatformtitle_ [l=hy] {ÕºÕ¬Õ¡Õ¿ÖÕžÖÕŽ}  # Updated 18-Aug-2006
+# -- Missing translation: _textgreenstone3_
+
+# -- Missing translation: _textgreenstone4_
+
+# -- Missing translation: _textcustomisationtitle_
+# -- Missing translation: _textgreenstone5_
+
+# -- Missing translation: _textdocumentationtitle_
+# -- Missing translation: _textdocuments_
+
+#_textthreedocs_ {There are three documents that explain the Greenstone system:}
+#_textinstall_ {The Greenstone Digital Library Software Installer's Guide}
+#_textuser_ {The Greenstone Digital Library Software User's Guide}
+#_textdevelop_ {The Greenstone Digital Library Software Developer's Guide}
+
+# -- Missing translation: _textmailinglisttitle_
+_textmailinglist_ [l=hy] {Ô³ÕžÕµÕžÖÕ©ÕµÕžÖÕ¶ ÕžÖÕ¶Õ« Ô³ÖÕ«Õ¶ÕœÕ©ÕžÕžÖÕ¶ Õ°Õ¡ÕŽÕ¡Õ¯Õ¡ÖÕ£Õ« ÖÕ¶Õ¶Õ¡ÖÕ¯ÕžÖÕŽÕ¶Õ¥ÖÕ« Õ­ÕžÖÕŽÕ¢Ö Ô±Õ¯Õ¿Õ«ÕŸ ÕŽÕ¡ÕœÕ¶Õ¡Õ¯Õ«ÖÕ¶Õ¥ÖÕš ÕºÕ¥Õ¿Ö Õ§ Õ¡Õ»Õ¡Õ¯ÖÕ¥Õ¶ ÕŽÕ¡ÕœÕ¶Õ¡Õ¯ÖÕ¥Õ¬ÕžÕŸ ÖÕ¶Õ¶Õ¡ÖÕ¯ÕžÖÕŽÕ¶Õ¥ÖÕ«Õ¶ÖÔ²Õ¡ÕªÕ¡Õ¶ÕžÖÕ€Õ¡Õ£ÖÕŸÕ¥Õ¬ÕžÖ Õ°Õ¡ÕŽÕ¡Ö, Õ¡ÕµÖÕ¥Õ¬Õ¥Ö  <a href="https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users">https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users</a>.
+
+ÕÕ¶Õ¶Õ¡ÖÕ¯ÕžÖÕŽÕ¶Õ¥ÖÕ« ÖÕžÖÖÕ¡Õ¯Õ«Õ¶ Õ°Õ¡Õ²ÕžÖÕ€Õ¡Õ£ÖÕžÖÕ©ÕµÕžÖÕ¶ ÕžÖÕ²Õ¡ÖÕ¯Õ¥Õ¬ÕžÖ Õ¶ÕºÕ¡Õ¿Õ¡Õ¯ÕžÕŸ, Õ°Õ¡ÕœÖÕ¥Õ¡Õ£ÖÕ¥Ö Õ¡ÕµÕ¶  <a
+href="mailto:greenstone-users@list.scms.waikato.ac.nz"
+>greenstone-users@list.scms.waikato.ac.nz</a>.
+}  # Updated 18-Aug-2006
+
+# -- Missing translation: _textbugstitle_
+# -- Missing translation: _textreport_
+
+# -- Missing translation: _textgs3title_
+# -- Missing translation: _textgs3_
+
+# -- Missing translation: _textcreditstitle_
+
+# -- Missing translation: _textwhoswho_
+
+# -- Missing translation: _textaboutgslong_
+
+######################################################################
+# 'users' page
+package userslistusers
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textlocu_
+# -- Missing translation: _textuser_
+# -- Missing translation: _textas_
+# -- Missing translation: _textgroups_
+# -- Missing translation: _textcomment_
+# -- Missing translation: _textadduser_
+# -- Missing translation: _textedituser_
+# -- Missing translation: _textdeleteuser_
+
+
+######################################################################
+# 'users' page
+package usersedituser
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+
+# -- Missing translation: _textedituser_
+# -- Missing translation: _textadduser_
+
+# -- Missing translation: _textaboutusername_
+
+# -- Missing translation: _textaboutpassword_
+
+# -- Missing translation: _textoldpass_
+# -- Missing translation: _textenabled_
+# -- Missing translation: _textdisabled_
+
+# -- Missing translation: _textaboutgroups_
+
+
+######################################################################
+# 'users' page
+package usersdeleteuser
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textdeleteuser_
+# -- Missing translation: _textremwarn_
+
+
+######################################################################
+# 'users' page
+package userschangepasswd
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textchangepw_
+# -- Missing translation: _textoldpw_
+# -- Missing translation: _textnewpw_
+_textretype_ [l=hy] {Õ¶ÕžÖÕ«Ö ÕŽÕžÖÕ¿Ö Õ¡ÖÕ¥Ö Õ£Õ¡Õ²Õ¿Õ¶Õ¡Õ¢Õ¡ÕŒÕš}  # Updated 18-Aug-2006
+
+
+######################################################################
+# 'users' page
+package userschangepasswdok
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textsuccess_
+
+
+######################################################################
+# 'users' page
+package users
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textinvalidusername_ [l=hy] {ÕÕ­Õ¡Õ¬ ÕÕ£Õ¿ÕŸÕžÕ²Õ« Õ¡Õ¶ÕžÖÕ¶Ö}  # Updated 18-Aug-2006
+# -- Missing translation: _textinvalidpassword_
+# -- Missing translation: _textemptypassword_
+# -- Missing translation: _textuserexists_
+
+# -- Missing translation: _textusernameempty_
+# -- Missing translation: _textpasswordempty_
+# -- Missing translation: _textnewpass1empty_
+# -- Missing translation: _textnewpassmismatch_
+# -- Missing translation: _textnewinvalidpassword_
+# -- Missing translation: _textfailed_
+
+
+######################################################################
+# 'status' pages
+package status
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+
+# -- Missing translation: _textversion_
+# -- Missing translation: _textframebrowser_
+# -- Missing translation: _textusermanage_
+# -- Missing translation: _textlistusers_
+# -- Missing translation: _textaddusers_
+# -- Missing translation: _textchangepasswd_
+# -- Missing translation: _textinfo_
+# -- Missing translation: _textgeneral_
+# -- Missing translation: _textarguments_
+# -- Missing translation: _textactions_
+# -- Missing translation: _textbrowsers_
+# -- Missing translation: _textprotocols_
+# -- Missing translation: _textconfigfiles_
+# -- Missing translation: _textlogs_
+# -- Missing translation: _textusagelog_
+# -- Missing translation: _textinitlog_
+# -- Missing translation: _texterrorlog_
+# -- Missing translation: _textadminhome_
+# -- Missing translation: _textreturnhome_
+# -- Missing translation: _titlewelcome_
+# -- Missing translation: _textmaas_
+# -- Missing translation: _textvol_
+# -- Missing translation: _textcmuc_
+# -- Missing translation: _textati_
+
+# -- Missing translation: _texttsaa_
+
+# -- Missing translation: _textcolstat_
+
+_textcwoa_ [l=hy] {ÕÕ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖÕ¶Õ¥ÖÕš Õ¯Õ¥ÖÖÕ¡Õ¶ "Õ¯Õ¡Õ¿Õ¡ÖÕŸÕžÕ²" Õ¥Õ©Õ¥ Õ€ÖÕ¡Õ¶Ö build.cfg ÖÕ¡ÕµÕ¬Õ¥ÖÕš Õ£ÕžÕµÕžÖÕ©ÕµÕžÖÕ¶ ÕžÖÕ¶Õ¥Õ¶, Õ¯Õ¡ÖÕ€Õ¡ÖÕŸÕžÕ² Õ¥Õ¶, ÕºÕ¡ÖÕžÖÕ¶Õ¡Õ¯ÕžÖÕŽ Õ¥Õ¶ ÕœÕ¿Õ¥Õ²Õ®ÕŽÕ¡Õ¶ Õ¡ÕŽÕœÕ¡Õ©ÕŸÕ« Õ€Õ¡Õ·Õ¿Õš Õ«ÖÕ¡Õ¯Õ¡Õ¶ Õ§ ( > 0), Ö Õ°Õ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖÕ¶Õ¥ÖÕ« Õ«Õ¶Õ€Õ¥ÖÕœÕ« Õ©Õ²Õ©Õ¡ÕºÕ¡Õ¶Õ¡Õ¯ÕžÖÕŽ Õ¥Õ¶ (Õ¡ÕµÕœÕ«Õ¶ÖÕ¶ Õ¹Õ¥Õ¶ Õ£Õ¿Õ¶ÕŸÕžÖÕŽ Õ¯Õ¡ÕŒÕ¡ÖÕŽÕ¡Õ¶ Õ©Õ²Õ©Õ¡ÕºÕ¡Õ¶Õ¡Õ¯ÕžÖÕŽ)Ö}  # Updated 18-Aug-2006
+
+# -- Missing translation: _textcafi_
+# -- Missing translation: _textcctv_
+_textsubc_ [l=hy] {ÕÕ¡ÕœÕ¿Õ¡Õ¿Õ¥Ö ÖÕžÖÕžÕ­ÕžÖÕ©ÕµÕžÖÕ¶Õ¶Õ¥ÖÕš}  # Updated 18-Aug-2006
+# -- Missing translation: _texteom_
+# -- Missing translation: _textftum_
+# -- Missing translation: _textmus_
+
+
+######################################################################
+# 'bsummary' pages
+package bsummary
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textbsummary_
+# -- Missing translation: _textflog_
+# -- Missing translation: _textilog_
+
+############################################################################
+#
+# This stuff is only used by the usability (SEND FEEDBACK) stuff
+#
+############################################################################
+package Global
+
+# old cusab button
+# -- Missing translation: _linktextusab_
+
+# -- Missing translation: _greenstoneusabilitytext_
+
+# -- Missing translation: _textwhy_
+# -- Missing translation: _textextraforform_
+# -- Missing translation: _textprivacybasic_
+# -- Missing translation: _textstillsend_
+
+# -- Missing translation: _texterror_
+# -- Missing translation: _textyes_
+# -- Missing translation: _textno_
+# -- Missing translation: _textclosewindow_
+# -- Missing translation: _textabout_
+# -- Missing translation: _textprivacy_
+# -- Missing translation: _textsend_
+# -- Missing translation: _textdontsend_
+_textoptionally_ [l=hy] {ÕÕ¹ ÕºÕ¡ÖÕ¿Õ¡Õ€Õ«Ö}  # Updated 18-Aug-2006
+
+# -- Missing translation: _textunderdev_
+
+# -- Missing translation: _textviewdetails_
+# -- Missing translation: _textmoredetails_
+# -- Missing translation: _texttrackreport_
+# -- Missing translation: _textcharacterise_
+# -- Missing translation: _textseverity_
+ 
+# -- Missing translation: _textbadrender_
+# -- Missing translation: _textcontenterror_
+_textstrangebehaviour_ [l=hy] {ÕÕ¡ÖÖ
+ÖÕ«Õ¶Õ¡Õ¯ ÕºÕ¡Õ°ÕŸÕ¡Õ®Ö}  # Updated 18-Aug-2006
+# -- Missing translation: _textunexpected_
+# -- Missing translation: _textfunctionality_
+# -- Missing translation: _textother_
+
+# -- Missing translation: _textcritical_
+# -- Missing translation: _textmajor_
+# -- Missing translation: _textmedium_
+# -- Missing translation: _textminor_
+# -- Missing translation: _texttrivial_
+
+# -- Missing translation: _textwhatdoing_
+# -- Missing translation: _textwhatexpected_
+# -- Missing translation: _textwhathappened_
+
+# -- Missing translation: _cannotfindcgierror_
+
+# -- Missing translation: _textusabbanner_
+
+
+######################################################################
+# GTI text strings
+package gti
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+	
+# -- Missing translation: _textgti_
+
+# -- Missing translation: _textgtierror_
+
+# -- Missing translation: _textgtihome_
+
+# -- Missing translation: _textgtiselecttlc_
+
+# -- Missing translation: _textgtiselecttfk_
+
+# -- Missing translation: _textgticoredm_
+# -- Missing translation: _textgtiauxdm_
+# -- Missing translation: _textgtiglidict_
+_textgtiglihelp_ [l=hy] {GLI ÕÕ£Õ¶ÕžÖÕ©ÕµÕžÖÕ¶}  # Updated 18-Aug-2006
+# -- Missing translation: _textgtiperlmodules_
+# -- Missing translation: _textgtitutorials_
+_textgtigreenorg_ [l=hy] {Greenstone.org}  # Updated 18-Aug-2006
+
+# -- Missing translation: _textgtienter_
+
+# -- Missing translation: _textgticorrectexistingtranslations_
+# -- Missing translation: _textgtidownloadtargetfile_
+# -- Missing translation: _textgtiviewtargetfileinaction_
+
+# -- Missing translation: _textgtinumchunksmatchingquery_
+
+# -- Missing translation: _textgtinumchunkstranslated_
+# -- Missing translation: _textgtinumchunksrequiringupdating_
+# -- Missing translation: _textgtinumchunksrequiringtranslation_
+
+# -- Missing translation: _textgtienterquery_
+_textgtifind_ [l=hy] {Ô³ÕÔ»Õ}  # Updated 18-Aug-2006
+
+# -- Missing translation: _textgtitranslatingchunk_
+# -- Missing translation: _textgtiupdatingchunk_
+# -- Missing translation: _textgtisubmit_
+
+# -- Missing translation: _textgtilastupdated_
+
+# -- Missing translation: _textgtitranslationfilecomplete_
+
+
+############
+# gli page
+############
+package gli
+
+# -- Missing translation: _textgli_
+# -- Missing translation: _textglilong_
+# -- Missing translation: _textglihelp_